package com.ruoyi.project.production.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * SAI信息对象 t_sai
 *
 * @author ruoyi
 * @date 2023-03-08
 */
public class TSai extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long saiId;

    /** 检查的装置/设施 */
    private String plantId;
    @Excel(name = "检查的装置/设施")
    private String plantName;

    /** 检查日期/时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "检查日期/时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inspectionDate;

    /** 识别出的安全问题 */
    @Excel(name = "识别出的安全问题")
    private String dificiency;

    /** 级别 */
    @Excel(name = "级别")
    private Long saiLevel;

    /** 类别 */
    @Excel(name = "类别")
    private String category;

    /** 采取或要采取的措施 */
    @Excel(name = "采取或要采取的措施")
    private String actions;

    /** 用户 */
    private String userDept;
    @Excel(name = "用户")
    private String userDeptName;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String source;

    /** SAI开项申请编号 */
    @Excel(name = "SAI开项申请编号")
    private Long saiApplyId;

    /** 登记人 */
    private String applicant;

    private String applicantName;

    public String getApplicant() {
        return applicant;
    }

    public void setApplicant(String applicant) {
        this.applicant = applicant;
    }

    public String getApplicantName() {
        return applicantName;
    }

    public void setApplicantName(String applicantName) {
        this.applicantName = applicantName;
    }

    public Long getSaiApplyId() {
        return saiApplyId;
    }

    public void setSaiApplyId(Long saiApplyId) {
        this.saiApplyId = saiApplyId;
    }

    /** 删除状态 */
    private String delFlag;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    private String deptName;

    public void setSaiId(Long saiId)
    {
        this.saiId = saiId;
    }

    public Long getSaiId()
    {
        return saiId;
    }
    public void setPlantId(String plantId)
    {
        this.plantId = plantId;
    }

    public String getPlantId()
    {
        return plantId;
    }
    public void setInspectionDate(Date inspectionDate)
    {
        this.inspectionDate = inspectionDate;
    }

    public Date getInspectionDate()
    {
        return inspectionDate;
    }

    public String getDificiency()
    {
        return dificiency;
    }
    public void setSaiLevel(Long saiLevel)
    {
        this.saiLevel = saiLevel;
    }

    public Long getSaiLevel()
    {
        return saiLevel;
    }
    public void setCategory(String category)
    {
        this.category = category;
    }

    public String getCategory()
    {
        return category;
    }
    public void setActions(String actions)
    {
        this.actions = actions;
    }

    public String getActions()
    {
        return actions;
    }
    public void setUserDept(String userDept)
    {
        this.userDept = userDept;
    }

    public String getUserDept()
    {
        return userDept;
    }
    public void setSource(String source)
    {
        this.source = source;
    }

    public String getSource()
    {
        return source;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void setDificiency(String dificiency) {
        this.dificiency = dificiency;
    }

    public String getPlantName() {
        return plantName;
    }

    public void setPlantName(String plantName) {
        this.plantName = plantName;
    }

    public String getUserDeptName() {
        return userDeptName;
    }

    public void setUserDeptName(String userDeptName) {
        this.userDeptName = userDeptName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("saiId", getSaiId())
            .append("plantId", getPlantId())
            .append("inspectionDate", getInspectionDate())
            .append("dificiency", getDificiency())
            .append("saiLevel", getSaiLevel())
            .append("category", getCategory())
            .append("actions", getActions())
            .append("userDept", getUserDept())
            .append("source", getSource())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("userDeptName", getUserDeptName())
            .append("plantName", getPlantName())
            .toString();
    }
}
